#!/bin/sh
# test.sh -- run swprod test data sets
#
# Usage: test.sh [start [stop]] [| tee test.out]
#
#        where: start = starting test number
#                stop = ending test number (may be same as start)
#
# Hisotry: 95/09/07 kmflynn

# pathname
WrdA=/usr/opt/wrdapp

#*******************************************************************
#***** You should not need to modify anything below this line. *****
#*******************************************************************

# pathnames and other variables
  Prgm=$WrdA/swprod1.2
  Data=$Prgm/data
  Chck=$Prgm/test

  exec 2>&1                                # stderr shows up in .out file
  Start=${1-1}                             # by default, start at 1
  Stop=${2-3}                              # by default, stop at 3
                                           # 1 - Odum single station analysis
                                           # 2 - Odum 2 station analysis
                                           # 3 - Bella-Odum lake analysis
# begin test runs
  echo
  echo _________________________________________________________________
  echo " Begin processing swprod test runs $Start to $Stop"
  echo " swprod program from: $Prgm"
  echo "      test data from: $Data"
  echo
  date

  Test=$Start
  while [ $Test -ge $Start -a $Test -le $Stop -a $Test -le 3 ] ; do
#   each requested test 
    echo
    echo
    echo _________________________________________________________________
    echo "Test run number $Test"
    echo
#   remove old output files
    if [ -f test$Test.out ] ; then rm test$Test.out ; fi

    $Prgm/bin/swprod <<-EOT
	$Data/test$Test.inp
	test$Test.out
	EOT

    Test=`expr $Test + 1`
  done
#
  echo
  echo
  echo _________________________________________________________________
  echo "Completed swprod test runs $Start to $Stop"
  echo
# check output against original output in data directory
  $Chck/check.sh $Data

# end of shell
